{ pkgs, hx }:

pkgs.runCommand "helloworld-bitstream" {
    buildInputs = [ (pkgs.python3.withPackages(ps: [hx.nmigen hx.nmigen-boards hx.heavycomps])) pkgs.yosys ];
  }
  ''
  export YOSYS=${pkgs.yosys}/bin/yosys
  export NEXTPNR_ECP5=${pkgs.nextpnr}/bin/nextpnr-ecp5
  export ECPPACK=${pkgs.trellis}/bin/ecppack
  python ${./helloworld_ecp5.py} $out
  ''
