{ pkgs, hx }:

pkgs.runCommand "simplesoc-bitstream" {
    buildInputs = [ (pkgs.python3.withPackages(ps: [hx.nmigen hx.nmigen-boards hx.heavycomps hx.minerva])) pkgs.yosys ];
  }
  ''
  export YOSYS=${pkgs.yosys}/bin/yosys
  export NEXTPNR_ECP5=${pkgs.nextpnr}/bin/nextpnr-ecp5
  export ECPPACK=${pkgs.trellis}/bin/ecppack
  python ${./simplesoc_ecp5.py} ${hx.fw-helloworld}/helloworld.bin $out
  ''
