{ stdenv, fetchFromGitHub, python3Packages, nmigen }:

python3Packages.buildPythonPackage {
  name = "nmigen-boards";

  src = fetchFromGitHub {
    owner = "m-labs";
    repo = "nmigen-boards";
    rev = "6e0cc9d2c9c085912d5350f1f88aaa68af1e25d8";
    sha256 = "1w3v0hn45hxdmfgl8px0hcc483mq3lzbhrbrgp1nar7f04b2kism";
  };

  propagatedBuildInputs = [ nmigen ];

  meta = with stdenv.lib; {
    description = "Board and connector definition files for nMigen";
    homepage    = "https://m-labs.hk";
    license     = licenses.bsd2;
    maintainers = [ maintainers.sb0 ];
  };
}
